Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.map
Class PredicatedSortedMap

    java.lang.Object
      |
      +--org.apache.commons.collections.map.AbstractMapDecorator
            |
            +--org.apache.commons.collections.map.AbstractInputCheckedMapDecorator
                  |
                  +--org.apache.commons.collections.map.PredicatedMap
                        |
                        +--org.apache.commons.collections.map.PredicatedSortedMap

All Implemented Interfaces:
  Map, Serializable, SortedMap

public class PredicatedSortedMap
extends PredicatedMap
implements SortedMap

Decorates another `SortedMap` to validate that additions match a specified predicate.

This map exists to provide validation for the decorated map. It is normally created to decorate an empty map. If an object cannot be added to the map, an IllegalArgumentException is thrown.

One usage would be to ensure that no null keys are added to the map.

    SortedMap map = PredicatedSortedSet.decorate(new TreeMap(), NotNullPredicate.INSTANCE, null);

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.7 $ $Date: 2004/05/21 21:38:49 $
Author:
  Stephen Colebourne, Paul Jack
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.map.PredicatedMap
`keyPredicate, valuePredicate`

Fields inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`map`

Constructor Summary
`protected` | `PredicatedSortedMap(SortedMap map, Predicate keyPredicate, Predicate valuePredicate)` Constructor that wraps (not copies).

Method Summary
`Comparator` | `comparator()`
`static SortedMap` | `decorate(SortedMap map, Predicate keyPredicate, Predicate valuePredicate)` Factory method to create a predicated (validating) sorted map.
`Object` | `firstKey()`
`protected SortedMap` | `getSortedMap()` Gets the map being decorated.
`SortedMap` | `headMap(Object toKey)`
`Object` | `lastKey()`
`SortedMap` | `subMap(Object fromKey, Object toKey)`
`SortedMap` | `tailMap(Object fromKey)`

Methods inherited from class org.apache.commons.collections.map.PredicatedMap
`checkSetValue, decorate, entrySet, isSetValueChecking, put, putAll, validate`

Methods inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`clear, containsKey, containsValue, equals, get, getMap, hashCode, isEmpty, keySet, remove, size, toString, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### PredicatedSortedMap

    protected PredicatedSortedMap(SortedMap map,
                                  Predicate keyPredicate,
                                  Predicate valuePredicate)

  Constructor that wraps (not copies).

Parameters:
  `map` - the map to decorate, must not be null
  `keyPredicate` - the predicate to validate the keys, null means no check
  `valuePredicate` - the predicate to validate to values, null means no check
Throws:
  `IllegalArgumentException` - if the map is null

Method Detail

### decorate

    public static SortedMap decorate(SortedMap map,
                                     Predicate keyPredicate,
                                     Predicate valuePredicate)

  Factory method to create a predicated (validating) sorted map.

  If there are any elements already in the list being decorated, they are validated.

  Parameters:
    `map` - the map to decorate, must not be null
    `keyPredicate` - the predicate to validate the keys, null means no check
    `valuePredicate` - the predicate to validate to values, null means no check
  Throws:
    `IllegalArgumentException` - if the map is null

### getSortedMap

    protected SortedMap getSortedMap()

  Gets the map being decorated.

  Returns:
    the decorated map

### firstKey

    public Object firstKey()

  Specified by:
    `firstKey` in interface `SortedMap`

### lastKey

    public Object lastKey()

  Specified by:
    `lastKey` in interface `SortedMap`

### comparator

    public Comparator comparator()

  Specified by:
    `comparator` in interface `SortedMap`

### subMap

    public SortedMap subMap(Object fromKey,
                            Object toKey)

  Specified by:
    `subMap` in interface `SortedMap`

### headMap

    public SortedMap headMap(Object toKey)

  Specified by:
    `headMap` in interface `SortedMap`

### tailMap

    public SortedMap tailMap(Object fromKey)

  Specified by:
    `tailMap` in interface `SortedMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.